Bug 836246 - [RHEVM] [backend] [Setup Host Networks] cannot switch static IP and DHCP on bonded interface and vice versa
[RHEVM] [backend] [Setup Host Networks] cannot switch static IP and DHCP on b...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Moti Asayag
Martin Pavlik
network
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 09:20 EDT by Martin Pavlik
Modified: 2016-02-10 14:50 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-17 03:55:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm.log + engine.log (4.77 KB, application/x-gzip)
2012-06-28 09:20 EDT, Martin Pavlik
no flags Details
screenshot 1 (195.41 KB, image/png)
2012-06-28 09:22 EDT, Martin Pavlik
no flags Details
screenshot 2 (195.90 KB, image/png)
2012-06-28 09:22 EDT, Martin Pavlik
no flags Details
screenshot 3 (181.69 KB, image/png)
2012-06-28 09:22 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2012-06-28 09:20:59 EDT
Created attachment 595017 [details]
vdsm.log + engine.log

Description of problem:
When bonded interface is set with static IP it is not possible to switch it to DHCP via Setup host networks dialog. Problem also occurs when switching from DHCP to static.

According to logs it seems that rhevm is not sending nics which causes following error

MainProcess|Thread-2845::ERROR::2012-06-28 14:58:57,683::configNetwork::1129::setupNetworks::(setupNetworks) (21, 'vlan/bonding definition requires nics. got: ()')


It really seems that nics are not sent

MainProcess|Thread-2845::DEBUG::2012-06-28 14:58:56,813::configNetwork::1061::setupNetworks::(setupNetworks) Setting up network according to configuration: networks:{'mode1': {'bonding': 'bond1', 'bootproto': 'dhcp', 'bridged': 'true'}}, bondings:{}, options:{'connectivityCheck': 'true', 'connectivityTimeout': 60000}


Version-Release number of selected component (if applicable):
oVirt Engine Version: 3.1.0-3.el6ev 

How reproducible:
100%

Steps to Reproduce:
1. Create logical network, attach it to cluster
2. Hosts -> setup host networks -> bond 2 interfaces -> attach logical network to bond -> assign bonded interface with static IP (screenshot 1)
3. save configuration
4. Hosts -> setup host networks -> switch bonded interface from static to DHCP
(screenshot2, screenshot 3)
  
Actual results:
not possible to switch bonded interface from static to dhcp and vice versa 

Expected results:
it should be possible to switch between DHCP and static without problem

Additional info:
Comment 1 Martin Pavlik 2012-06-28 09:22:07 EDT
Created attachment 595018 [details]
screenshot 1
Comment 2 Martin Pavlik 2012-06-28 09:22:28 EDT
Created attachment 595020 [details]
screenshot 2
Comment 3 Martin Pavlik 2012-06-28 09:22:46 EDT
Created attachment 595023 [details]
screenshot 3
Comment 4 Moti Asayag 2012-07-16 19:00:28 EDT
I was able to reproduce both described use-cases successfully: from static-ip to dhcp and vice versa.

tested with local build:
ovirt-engine hash f3e46df512d8cca6f190d6b85233685d72e21998
vdsm hash 72dad25c6a1f8c8037d6676a511ec013d20889a0

From static-ip to dhcp:
MainProcess|Thread-408::DEBUG::2012-07-17 05:49:42,726::configNetwork::1073::setupNetworks::(setupNetworks) Setting up network according to configuration: networks:{'bbbbbb': {'bonding': 'bond4', 'bootproto': 'dhcp', 'bridged': 'true'}}, bondings:{}, options:{'connectivityCheck': 'true', 'connectivityTimeout': 120}

[root@zeus02 ~]# cat /etc/sysconfig/network-scripts/ifcfg-bbbbbb 
DEVICE=bbbbbb
TYPE=Bridge
ONBOOT=yes
BOOTPROTO=dhcp
DELAY=0
NM_CONTROLLED=no

from dhcp to static-ip:
MainProcess|Thread-393::DEBUG::2012-07-17 05:34:53,620::configNetwork::1073::setupNetworks::(setupNetworks) Setting up network according to c
onfiguration: networks:{'bbbbbb': {'bonding': 'bond4', 'ipaddr': '2.2.2.2', 'gateway': '0.0.0.0', 'bridged': 'true', 'netmask': '255.255.255.
0'}}, bondings:{}, options:{'connectivityCheck': 'true', 'connectivityTimeout': 120}

[root@zeus02 ~]# cat /etc/sysconfig/network-scripts/ifcfg-bbbbbb 
DEVICE=bbbbbb
TYPE=Bridge
ONBOOT=yes
IPADDR=22.22.22.22
NETMASK=255.255.255.0
GATEWAY=0.0.0.0
DELAY=0
NM_CONTROLLED=no

Note You need to log in before you can comment on or make changes to this bug.